| Home | Libraries | People | FAQ | More

##### params_ref::buffer

(Inherited from `params_base`)

Return the referenced character buffer.

###### Synopsis

    pct_string_view
    buffer() const;

###### Description

This function returns the character buffer referenced by the view. The returned string may contain percent escapes.

###### Example

    assert( url_view( "?first=John&last=Doe" ).params().buffer() == "?first=John&last=Doe" );

###### Complexity

Constant.

###### Exception Safety

Throws nothing.